Subject: RE: [clisp-list] Problem with install.lisp in Windows

From: "Clementson, Bill" <[email-masked]>
Date: Mon Feb 25 21:00:02 2002

Sam Steingold writes:
> <[email-masked]> writes:
> >
> > I don't know what BLAHS is and couldn't find any function or source
> > file that looked like "BLAHS". Also, I don't know what you mean by
> > "describing a UNICODE character" (well, more correctly, I know what
> > the words mean, but I don't know how to do this in Lisp). Can you
> > suggest a couple of test forms to try?
> 
> (clhs 'car)
> (desccribe (code-char 1234))

I came across a couple of problems trying to run these tests:

Problem #1: In the CLISP 2.27 Windows distribution, the files clhs.txt and
UnicodeData.txt are not included as part of the standard distribution. I
copied them from the Linux source distribution. and re-ran the tests.

Problem #2: After re-running the tests, I got the following result:

[2]> (clhs 'car)
;; Reading `C:\Program Files\clisp-2.27\\clhs.txt' [46,458 bytes]...done
[0.05 sec]
BROWSE-URL: no browser specified; please point your browser at
 -->
<URL:http://www.lisp.org/HyperSpec/Body/acc_carcm_cdr_darcm_cddddr.html>
NIL
[9]> (describe (code-char 1234))

#\CYRILLIC_CAPITAL_LETTER_A_WITH_DIAERESIS is a character.
Unicode name: CYRILLIC CAPITAL LETTER A WITH DIAERESIS
It is a printable character.
Its use is non-portable.

[10]> 

It seems to print the correct results; however, it was odd that the file
listed was `C:\Program Files\clisp-2.27\\clhs.txt' (note the "\\" before the
file name clhs.txt). To fix the problem, I removed the trailing "/" from the
path that is written out following the "-B" option. In other words, I
changed the batch file from this:

@echo off
"C:/Program Files/clisp-2.27/lisp.exe" -B "C:/Program Files/clisp-2.27/" -M
"C:/Program Files/clisp-2.27/lispinit.mem" %1 %2 %3 %4 %5 %6 %7 %8 %9

To this:

@echo off
"C:/Program Files/clisp-2.27/lisp.exe" -B "C:/Program Files/clisp-2.27" -M
"C:/Program Files/clisp-2.27/lispinit.mem" %1 %2 %3 %4 %5 %6 %7 %8 %9

Re-running the tests, I got the same results but with the following file
listed:
[2]> (clhs 'car)
;; Reading `C:\Program Files\clisp-2.27\clhs.txt' [46,458 bytes]...done
[0.04 sec]
[..] the remainder was the same

I would suggest that the following changes be made:

Suggested Fixes:
#1: Include the clhs.txt and Unicode.txt files in the standard Windows
distribution (they need to be distributed in the main clisp directory for
the Windows distribution, not the data directory (I'm not sure why this is,
but the code in describe.lisp expects this to be the case).

#2: Check the install.lisp patch that you sent me into CVS but also modify
install.lisp so that the path that is written out for the "-B" option in the
install.bat file does not include a trailing "/".

Thanks,
Bill Clementson

---

From: Sam Steingold <[email-masked]>
Date: Tue Feb 26 06:14:08 2002

> * In message <[email-masked]>
> * On the subject of "RE: [clisp-list] Problem with install.lisp in Windows"
> * Sent on Mon, 25 Feb 2002 21:59:21 -0700
> * Honorable "Clementson, Bill" <[email-masked]> writes:
>
> Problem #1: In the CLISP 2.27 Windows distribution, the files clhs.txt
> and UnicodeData.txt are not included as part of the standard
> distribution. I copied them from the Linux source distribution. and
> re-ran the tests.
oops.
I will look into this.

> It seems to print the correct results; however, it was odd that the
> file listed was `C:\Program Files\clisp-2.27\\clhs.txt' (note the "\\"
> before the file name clhs.txt). To fix the problem,

this is not a problem.
ignore it.

-- 
Sam Steingold (http://www.podval.org/~sds) running RedHat7.2 GNU/Linux
Keep Jerusalem united! <http://www.onejerusalem.org/Petition.asp>
Read, think and remember! <http://www.iris.org.il> <http://www.memri.org/>
Those who can't write, write manuals.